com.tibco.tibems.tibemsd.security

## Enum ConnectionAttributes.Type

- java.lang.Object
- - java.lang.Enum<ConnectionAttributes.Type>
  - - com.tibco.tibems.tibemsd.security.ConnectionAttributes.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionAttributes.Type>
  Enclosing interface:
    ConnectionAttributes

      public static enum ConnectionAttributes.Type
      extends java.lang.Enum<ConnectionAttributes.Type>

  This enumeration describes the type of connection of the ConnectionAttributes object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN` An administrative connection, originating from the EMS Administration tool, the EMS Administration API, or EMS Central Administration.
    `CLIENT` A connection from a Java, C or .Net EMS client.
    `FT` A connection from another EMS server, connecting as part of a fault tolerant pair.
    `ROUTE` A connection from another EMS server connecting to establish a route.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionAttributes.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionAttributes.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final ConnectionAttributes.Type CLIENT

      A connection from a Java, C or .Net EMS client.

    - #### ADMIN

          public static final ConnectionAttributes.Type ADMIN

      An administrative connection, originating from the EMS Administration tool, the EMS Administration API, or EMS Central Administration.

    - #### FT

          public static final ConnectionAttributes.Type FT

      A connection from another EMS server, connecting as part of a fault tolerant pair.

    - #### ROUTE

          public static final ConnectionAttributes.Type ROUTE

      A connection from another EMS server connecting to establish a route.

  - ### Method Detail

    - #### values

          public static ConnectionAttributes.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionAttributes.Type c : ConnectionAttributes.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionAttributes.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © Cloud Software Group, Inc. All rights reserved